<section class="main">
  <app-menu></app-menu>
  <section class="content">
    <form [formGroup]="productForm">
      <div class="colForm colOne">
        <label for="product">Nom du produit : </label>
        <input formControlName="product" [ngModel]="product.product" id="product" type="text">
        <label for="product">Lien vers le site : </label>
        <input formControlName="site" [ngModel]="product.siteUrl" id="site" type="text">
        <label for="product">Produit disponible ? : </label>
        <select formControlName="deleted">
          <option [selected]="product.deleted !== true">Oui</option>
          <option [selected]="product.deleted !== false">Non</option>
        </select>
        <label for="stock">Quantité en stock : </label>
        <input formControlName="stock" [ngModel]="product.quantity" id="stock" type="number">
        <label for="price">Prix unitaire : </label>
        <input formControlName="price" [ngModel]="product.unitPrice" id="price" type="number">
        <button (click)="onSubmit()" class="btn btn-primary">Valider</button>
        <button (click)="softDelete()" class="btn btn-danger">Rendre indisponible</button>
      </div>

      <div class="colForm colTwo">
        <label for="description">Description courte du produit : </label>
        <textarea formControlName="description" [ngModel]="product.description" id="description"></textarea>
        <div class="pictureContainer">
          <img [src]="getPictureUrl()">
        </div>
        <label formControlName="file" for="picture">Choisir une illustration : </label>
        <input (change)="onChange($event)" id="picture" type="file">
      </div>
    </form>
  </section>
</section>
